summaryrefslogtreecommitdiff
path: root/source3/script/build_env.sh
diff options
context:
space:
mode:
authorAndrew Bartlett <abartlet@samba.org>2003-04-23 14:19:03 +0000
committerAndrew Bartlett <abartlet@samba.org>2003-04-23 14:19:03 +0000
commit53004910ebe729809e7d3c9724f338d1b763be9b (patch)
tree0d3fed0907eacd57d3b583dd77be5c8ff1cae66f /source3/script/build_env.sh
parent66468d23158694383f3759464ffa7ade1c1d6d6c (diff)
downloadsamba-53004910ebe729809e7d3c9724f338d1b763be9b.tar.gz
samba-53004910ebe729809e7d3c9724f338d1b763be9b.tar.bz2
samba-53004910ebe729809e7d3c9724f338d1b763be9b.zip
Patch by Vance Lankhaar <vlankhaar@linux.ca> to automaticly regenerate the
build options, so we will always have the right values for how and when an smbd was built. In particular, this is indended to address bitrot caused by configure.in changes. Andrew Bartlett (This used to be commit 2be258071c71986ba9af01e9a09ec49909a620dd)
Diffstat (limited to 'source3/script/build_env.sh')
-rwxr-xr-xsource3/script/build_env.sh26
1 files changed, 16 insertions, 10 deletions
diff --git a/source3/script/build_env.sh b/source3/script/build_env.sh
index 0000759f16..eb54f37aed 100755
--- a/source3/script/build_env.sh
+++ b/source3/script/build_env.sh
@@ -1,25 +1,31 @@
#!/bin/sh
+if [ $# -lt 3 ]
+then
+ echo "Usage: $0 srcdir builddir compiler"
+ exit 1
+fi
+
uname=`uname -a`
date=`date`
srcdir=$1
builddir=$2
compiler=$3
- if [ ! "x$USER" = "x" ]; then
- whoami=$USER
- else
- if [ ! "x$LOGNAME" = "x" ]; then
- whoami=$LOGNAME
- else
- whoami=`whoami || id -un`
- fi
- fi
+if [ ! "x$USER" = "x" ]; then
+ whoami=$USER
+else
+ if [ ! "x$LOGNAME" = "x" ]; then
+ whoami=$LOGNAME
+ else
+ whoami=`whoami || id -un`
+ fi
+fi
host=`hostname`
cat <<EOF
-/* This file is automatically generated with "make build_env". DO NOT EDIT */
+/* This file is automatically generated with "make include/build_env.h". DO NOT EDIT */
#ifndef _BUILD_ENV_H
#define _BUILD_ENV_H